Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreImage.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreDataStream.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Typedefs
typedef std::vector< Image * > | ImagePtrList
typedef std::vector< const Image * > | ConstImagePtrList
## Enumerations
enum | ImageFlags { IF_COMPRESSED = 0x00000001, IF_CUBEMAP = 0x00000002, IF_3D_TEXTURE = 0x00000004 }

## Typedef Documentation

typedef std::vector<const Image*> Ogre::ConstImagePtrList

| Definition at line 423 of file OgreImage.h.

typedef std::vector<Image*> Ogre::ImagePtrList

| Definition at line 422 of file OgreImage.h.

## Enumeration Type Documentation

enum Ogre::ImageFlags

  | Enumeration values:
  IF_COMPRESSED |
  IF_CUBEMAP |
  IF_3D_TEXTURE |
Definition at line 39 of file OgreImage.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007